> For the complete documentation index, see [llms.txt](https://docs.payrexx.com/developer/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.payrexx.com/developer/general-info/objects/payment.md).

# Payment

### Occurrences

<table data-view="cards"><thead><tr><th></th></tr></thead><tbody><tr><td><a data-mention href="/pages/rvILA8OGze9H9IMhTIaS">/pages/rvILA8OGze9H9IMhTIaS</a></td></tr></tbody></table>

### Content

<table><thead><tr><th width="231.6796875">Key</th><th width="154.80078125">Type</th><th>Description</th></tr></thead><tbody><tr><td>brand</td><td>string|null</td><td>The used payment method</td></tr><tr><td>wallet</td><td>string|null</td><td><ul><li>The used wallet else <code>null</code></li><li><p>Possible values:</p><ul><li>apple-pay</li><li>google-pay</li><li>samsung-pay</li><li>visa-click-to-pay</li><li>mastercard-click-to-pay</li></ul></li></ul></td></tr><tr><td>cardNumber</td><td>string</td><td><ul><li>The number of the card</li><li>Only present if <code>cardNumber</code> and <code>expiry</code> exist.</li></ul></td></tr><tr><td>expiry</td><td>string</td><td><ul><li>The expiry date of the card</li><li>Only present if <code>cardNumber</code> and <code>expiry</code> exist.</li></ul></td></tr><tr><td>cardholderName</td><td>string</td><td><ul><li>The name of the cardholder</li><li>Only present if <code>cardNumber</code> and <code>expiry</code> exist.</li></ul></td></tr><tr><td>originInstanceUuid</td><td>string|null</td><td><ul><li>Only for merchants of marketplaces, and if the payment method is <code>account</code></li><li>UUID of the instance on which the transaction was performed</li></ul></td></tr><tr><td>originInstanceId</td><td>string|null</td><td><ul><li>Only for merchants of marketplaces, and if the payment method is <code>account</code></li><li>ID of the instance on which the transaction was performed</li></ul></td></tr><tr><td>originInstanceName</td><td>string|null</td><td><ul><li>Only for merchants of marketplaces, and if the payment method is <code>account</code></li><li>Name of the instance on which the transaction was performed</li></ul></td></tr><tr><td>destinationInstanceUuid</td><td>string|null</td><td><ul><li>Only for merchants of marketplaces, and if the payment method is <code>account</code></li><li>UUID of the instance where the money is transferred to</li></ul></td></tr><tr><td>destinationInstanceId</td><td>string|null</td><td><ul><li>Only for merchants of marketplaces, and if the payment method is <code>account</code></li><li>ID of the instance where the money is transferred to</li></ul></td></tr><tr><td>destinationInstanceName</td><td>string|null</td><td><ul><li>Only for merchants of marketplaces, and if the payment method is <code>account</code></li><li>Name of the instance where the money is transferred to</li></ul></td></tr><tr><td>purchaseOnInvoiceInformation</td><td>object</td><td><ul><li>The data of the recipient for bank transfer payments, otherwise <code>null</code></li><li><p>All values are strings:</p><ul><li>company</li><li>address</li><li>zip</li><li>place</li><li>bankName</li><li>swift</li><li>iban</li><li>reference</li></ul></li></ul></td></tr><tr><td>cardCountry</td><td>string</td><td><ul><li>The country in which the card was issued</li><li>Only present if the value is not empty</li></ul></td></tr></tbody></table>

### Example

```json
{
  "brand": "visa",
  "wallet": null,
  "cardNumber": "424242xxxxxx4242",
  "expiry": "2028-11",
  "cardholderName": "Payrexx Test",
  "purchaseOnInvoiceInformation": null,
  "cardCountry": "CH"
}
```

### Changelog

<details>

<summary>2025-04-29</summary>

There are several new fields for marketplace instances:

* originInstanceUuid
* originInstanceId
* originInstanceName
* destinationInstanceUuid
* destinationInstanceId
* destinationInstanceName

They are only returned if the payment method is `account`.

</details>

<details>

<summary>2025-04-08</summary>

There is a new field `cardholderName`, which stores the name of the cardholder.

</details>

<details>

<summary>2024-11-12</summary>

There is a new field `cardCountry`, which stores the country the card is issued in.

</details>

<details>

<summary>2024-06-01</summary>

There is a new field, `purchaseOnInvoiceInformation`, which stores the data of the recipient for bank transfer payments.

</details>

<details>

<summary>2022-11-29</summary>

There is a new field `wallet` that states which wallet was used for this transaction, if so.

</details>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.payrexx.com/developer/general-info/objects/payment.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
